Bug 117779 - print/cups - Installing CUPS metaport package doesn't cause other packages to be installed
Summary: print/cups - Installing CUPS metaport package doesn't cause other packages to...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-03 02:00 UTC by Ed Maste
Modified: 2007-12-12 17:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2007-11-03 02:00:05 UTC
Installing the package version of the cups metaport doesn't do anything,
since it contains only BUILD_DEPENDS lines, not run dependencies.

Fix: 

Presumably replace the BUILD_DEPENDS with RUN_DEPENDS
How-To-Repeat: pkg_add -r cups
Comment 1 Edwin Groothuis freebsd_committer 2007-11-03 07:01:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-ports-bugs

Edit-pr on freefall is still unpatched.
Comment 2 Edwin Groothuis freebsd_committer 2007-11-03 07:12:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Dirk Meyer freebsd_committer 2007-11-03 10:14:21 UTC
State Changed
From-To: open->analyzed


Switching BUILD with RUN Depends don't help. 

This patch will solve the problem, 
I will commit it after the Freeze. 

--- ./Makefile  2007-09-30 06:17:39.000000000 +0200 
+++ /usr/ports/current/cups/Makefile    2007-11-03 11:13:19.000000000 +0100 
@@ -9,6 +9,7 @@ 

PORTNAME=      cups 
PORTVERSION=   1.3.3 
+PORTREVISION=  1 
CATEGORIES=    print 
MASTER_SITES=  # empty 
DISTFILES=     # empty 
@@ -18,6 +19,7 @@ 

BUILD_DEPENDS= espgs:${PORTSDIR}/${PKGCATEGORY}/cups-pstoraster  
cupsd:${PORTSDIR}/${PKGCATEGORY}/cups-base 
+RUN_DEPENDS=   ${BUILD_DEPENDS} 

NO_BUILD=      yes 
NO_INSTALL=    yes
Comment 4 dfilter service freebsd_committer 2007-12-11 20:44:15 UTC
dinoex      2007-12-11 20:44:11 UTC

  FreeBSD ports repository

  Modified files:
    print/cups           Makefile 
  Log:
  - fix package
  PR:             117779
  
  - update to 1.3.4
  
  Revision  Changes    Path
  1.36      +2 -1      ports/print/cups/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dirk Meyer freebsd_committer 2007-12-12 17:57:00 UTC
State Changed
From-To: analyzed->closed

committed, thanks.